package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 用户打卡图片关联对象 wx_clock_img
 *
 * @author flossom
 * @date 2024-01-27
 */
public class WxClockImg extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 打卡ID
     */
    @Excel(name = "打卡ID")
    private Long userClockId;

    /**
     * 打卡图片
     */
    @Excel(name = "打卡图片")
    private String clockImg;

    /**
     * 状态（0正常 1停用）
     */
    @Excel(name = "状态", readConverterExp = "0=正常,1=停用")
    private Long status;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setUserClockId(Long userClockId) {
        this.userClockId = userClockId;
    }

    public Long getUserClockId() {
        return userClockId;
    }

    public void setClockImg(String clockImg) {
        this.clockImg = clockImg;
    }

    public String getClockImg() {
        return clockImg;
    }

    public void setStatus(Long status) {
        this.status = status;
    }

    public Long getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("userClockId", getUserClockId())
                .append("clockImg", getClockImg())
                .append("status", getStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .toString();
    }
}
